generator:
  class: sfDoctrineGenerator
  param:
    model_class:           publication
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              ~
    plural:                ~
    route_prefix:          publication
    with_doctrine_route:   true
    actions_base_class:    sfActions
    css:                   nothing

    config:
      actions: ~
      fields:
        datepublication:
          label: Date de publication
      list:
        title: Liste des publications
        display: [titre,_publicationfichier,is_publier]
      filter:
        display: [titre,datepublication,is_publier]
      form:    ~
      edit:
        title: Modifier la publication %%titre%%
      new:
        title: Ajouter une nouvelle publication
